<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { ref } from 'vue'
import type { VForm } from 'vuetify/components'
const authStore = useAuthStore()
const refForm = ref<VForm | null>(null)
const form = ref(false)
const email = ref('Owner')
const password = ref('1111')
const visible = ref(false)
const required = (v: string) => {
  return !!v || 'Field is required'
}
const onSubmit = async () => {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
}
</script>
<template>
  <div class="wrapper fadeInDown">
    <div id="formContent">
      <!-- Tabs Titles -->
      <h2 class="active">Sign In</h2>

      <div>
        <br />
      </div>

      <!-- Login Form -->
      <form>
        <v-img src="\src\assets\DcoffeeLogo.png" height="100"></v-img>
        <br />
        <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
          <v-text-field
            v-model="email"
            :rules="[required]"
            density="compact"
            placeholder="User"
            prepend-inner-icon="mdi-account"
          ></v-text-field>
          <v-text-field
            v-model="password"
            :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
            :type="visible ? 'text' : 'password'"
            density="compact"
            placeholder="Enter your password"
            prepend-inner-icon="mdi-lock-outline"
            :rules="[(v) => !!v || 'Field is required']"
            @click:append-inner="visible = !visible"
          ></v-text-field>
          <v-card class="mb-8" color="surface-variant" variant="tonal">
            <v-card-text
              class="text-medium-emphasis text-caption"
              style="text-align: center; font-weight: bold"
            >
              หากลืม Email หรือ Password โปรดแจ้งผู้จัดการ
            </v-card-text>
          </v-card>

          <br />

          <v-btn :disabled="!form" size="large" type="submit" class="button"> Log In </v-btn>
        </v-form>
      </form>
    </div>
  </div>
</template>

<style>
@import url('https://fonts.googleapis.com/css?family=Poppins');

/* BASIC */
html {
  background-color: #56baed;
}

body {
  font-family: 'Poppins', sans-serif;
  height: 100vh;
}

a {
  color: #92badd;
  display: inline-block;
  text-decoration: none;
  font-weight: 400;
}

.button {
  position: relative;
  overflow: hidden;
  height: 3rem;
  padding: 0 2rem;
  border-radius: 1.1rem;
  background: #3d3a4e;
  background-size: 400%;
  color: #fff;
  border: none;
  cursor: pointer;
}

.button:hover::before {
  transform: scaleX(1);
}

.button-content {
  position: relative;
  z-index: 1;
}

.button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  transform: scaleX(0);
  transform-origin: 0 50%;
  width: 100%;
  height: inherit;
  border-radius: inherit;
  background: linear-gradient(82.3deg, rgb(65, 61, 61) 10.8%, rgb(0, 0, 0) 94.3%);
  transition: all 0.475s;
}

h2 {
  text-align: center;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  display: inline-block;
  color: #cccccc;
}

/* STRUCTURE */
.wrapper {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  min-height: 100%;
  padding: 20px;
}

#formContent {
  opacity: 0.95;
  border-radius: 50px;
  background: #fff;
  padding: 30px;
  width: 90%;
  max-width: 450px;
  position: relative;
  padding: 40px;
  box-shadow: 0 30px 60px 0 rgba(0, 0, 0, 0.3);
  text-align: center;
}

#formFooter {
  background-color: #f6f6f6;
  border-top: 1px solid #dce8f1;
  padding: 25px;
  text-align: center;
  border-radius: 0 0 10px 10px;
}

/* TABS */
h2.inactive {
  color: #cccccc;
}

h2.active {
  color: #0d0d0d;
  border-bottom: 2px solid #5fbae9;
}

input[type='button'],
input[type='submit'],
input[type='reset'] {
  background-color: #56baed;
  border: none;
  color: white;
  padding: 15px 80px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  text-transform: uppercase;
  font-size: 13px;
  box-shadow: 0 10px 30px 0 rgba(95, 186, 233, 0.4);
  border-radius: 5px;
  margin: 5px 20px 40px 20px;
  transition: all 0.3s ease-in-out;
}

input[type='button']:hover,
input[type='submit']:hover,
input[type='reset']:hover {
  background-color: #39ace7;
}

input[type='button']:active,
input[type='submit']:active,
input[type='reset']:active {
  transform: scale(0.95);
}

input[type='text'] {
  background-color: #f6f6f6;
  border: none;
  color: #0d0d0d;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;

  border: 2px solid #f6f6f6;
  border-radius: 5px;
  transition: all 0.5s ease-in-out;
}

input[type='text']:focus {
  background-color: #fff;
  border-bottom: 2px solid #5fbae9;
}

input[type='text']::placeholder {
  color: #cccccc;
}

.fadeInDown {
  animation: fadeInDown 1s both;
}

@keyframes fadeInDown {
  0% {
    opacity: 0;
    transform: translate3d(0, -100%, 0);
  }

  100% {
    opacity: 1;
    transform: none;
  }
}

.fadeIn {
  opacity: 0;
  animation: fadeIn ease-in 1;
  animation-fill-mode: forwards;
  animation-duration: 1s;
}

.fadeIn.first {
  animation-delay: 0.4s;
}

.fadeIn.second {
  animation-delay: 0.6s;
}

.fadeIn.third {
  animation-delay: 0.8s;
}

.fadeIn.fourth {
  animation-delay: 1s;
}

.underlineHover:after {
  display: block;
  left: 0;
  bottom: -10px;
  width: 0;
  height: 2px;
  background-color: #56baed;
  content: '';
  transition: width 0.2s;
}

.underlineHover:hover {
  color: #0d0d0d;
}

.underlineHover:hover:after {
  width: 100%;
}
*:focus {
  outline: none;
}

#icon {
  width: 60%;
}

* {
  box-sizing: border-box;
}
/* text field */
</style>
